Index: palm/trunk/SOURCE/surface_data_output_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 3735)
+++ palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 3736)
@@ -2988,5 +3056,5 @@
                                            surf_def_v(3)%z0,                   &
                                            surf_lsm_v(3)%z0,                   &
-                                           surf_usm_v(3)%z0, n_out ) 
+                                           surf_usm_v(3)%z0, n_out )
 
             CASE ( 'z0h' )
@@ -3006,5 +3074,5 @@
                                            surf_def_v(3)%z0h,                  &
                                            surf_lsm_v(3)%z0h,                  &
-                                           surf_usm_v(3)%z0h, n_out )          
+                                           surf_usm_v(3)%z0h, n_out )
 
             CASE ( 'z0q' )
@@ -3024,7 +3092,7 @@
                                            surf_def_v(3)%z0q,                  &
                                            surf_lsm_v(3)%z0q,                  &
-                                           surf_usm_v(3)%z0q, n_out ) 
-
-            CASE ( 'theta1' )                                                  
+                                           surf_usm_v(3)%z0q, n_out )
+
+            CASE ( 'theta1' )
                CALL surface_data_output_sum_up( surf_def_h(0)%pt1,             &
                                            surf_def_h(1)%pt1,                  &
@@ -3042,7 +3110,7 @@
                                            surf_def_v(3)%pt1,                  &
                                            surf_lsm_v(3)%pt1,                  &
-                                           surf_usm_v(3)%pt1, n_out )          
-                                                                               
-            CASE ( 'qv1' )                                                     
+                                           surf_usm_v(3)%pt1, n_out )
+
+            CASE ( 'qv1' )
                CALL surface_data_output_sum_up( surf_def_h(0)%qv1,             &
                                            surf_def_h(1)%qv1,                  &
@@ -3060,5 +3128,5 @@
                                            surf_def_v(3)%qv1,                  &
                                            surf_lsm_v(3)%qv1,                  &
-                                           surf_usm_v(3)%qv1, n_out ) 
+                                           surf_usm_v(3)%qv1, n_out )
 
             CASE ( 'thetav1' )
@@ -3078,5 +3146,5 @@
                                            surf_def_v(3)%vpt1,                 &
                                            surf_lsm_v(3)%vpt1,                 &
-                                           surf_usm_v(3)%vpt1, n_out ) 
+                                           surf_usm_v(3)%vpt1, n_out )
 
             CASE ( 'usws' )
@@ -3096,5 +3164,5 @@
                                            surf_def_v(3)%usws,                 &
                                            surf_lsm_v(3)%usws,                 &
-                                           surf_usm_v(3)%usws, n_out ) 
+                                           surf_usm_v(3)%usws, n_out )
 
             CASE ( 'vsws' )
@@ -3114,5 +3182,5 @@
                                            surf_def_v(3)%vsws,                 &
                                            surf_lsm_v(3)%vsws,                 &
-                                           surf_usm_v(3)%vsws, n_out ) 
+                                           surf_usm_v(3)%vsws, n_out )
 
             CASE ( 'shf' )
@@ -3120,5 +3188,5 @@
                                            surf_def_h(1)%shf,                  &
                                            surf_lsm_h%shf,                     &
-                                           surf_usm_h%shf,                     &  
+                                           surf_usm_h%shf,                     &
                                            surf_def_v(0)%shf,                  &
                                            surf_lsm_v(0)%shf,                  &
@@ -3150,5 +3218,5 @@
                                            surf_def_v(3)%qsws,                 &
                                            surf_lsm_v(3)%qsws,                 &
-                                           surf_usm_v(3)%qsws, n_out ) 
+                                           surf_usm_v(3)%qsws, n_out )
 
             CASE ( 'ssws' )
@@ -3168,5 +3236,5 @@
                                            surf_def_v(3)%ssws,                 &
                                            surf_lsm_v(3)%ssws,                 &
-                                           surf_usm_v(3)%ssws, n_out ) 
+                                           surf_usm_v(3)%ssws, n_out )
 
             CASE ( 'qcsws' )
@@ -3186,5 +3254,5 @@
                                            surf_def_v(3)%qcsws,                &
                                            surf_lsm_v(3)%qcsws,                &
-                                           surf_usm_v(3)%qcsws, n_out ) 
+                                           surf_usm_v(3)%qcsws, n_out )
 
             CASE ( 'ncsws' )
@@ -3204,5 +3272,5 @@
                                            surf_def_v(3)%ncsws,                &
                                            surf_lsm_v(3)%ncsws,                &
-                                           surf_usm_v(3)%ncsws, n_out ) 
+                                           surf_usm_v(3)%ncsws, n_out )
 
             CASE ( 'qrsws' )
@@ -3222,5 +3290,5 @@
                                            surf_def_v(3)%qrsws,                &
                                            surf_lsm_v(3)%qrsws,                &
-                                           surf_usm_v(3)%qrsws, n_out ) 
+                                           surf_usm_v(3)%qrsws, n_out )
 
             CASE ( 'nrsws' )
@@ -3240,5 +3308,5 @@
                                            surf_def_v(3)%nrsws,                &
                                            surf_lsm_v(3)%nrsws,                &
-                                           surf_usm_v(3)%nrsws, n_out ) 
+                                           surf_usm_v(3)%nrsws, n_out )
 
             CASE ( 'sasws' )
@@ -3258,5 +3326,5 @@
                                            surf_def_v(3)%sasws,                &
                                            surf_lsm_v(3)%sasws,                &
-                                           surf_usm_v(3)%sasws, n_out ) 
+                                           surf_usm_v(3)%sasws, n_out )
 
             CASE ( 'q_surface' )
@@ -3276,6 +3344,6 @@
                                            surf_def_v(3)%q_surface,            &
                                            surf_lsm_v(3)%q_surface,            &
-                                           surf_usm_v(3)%q_surface, n_out ) 
-                                           
+                                           surf_usm_v(3)%q_surface, n_out )
+
 
             CASE ( 'theta_surface' )
@@ -3295,5 +3363,5 @@
                                            surf_def_v(3)%pt_surface,           &
                                            surf_lsm_v(3)%pt_surface,           &
-                                           surf_usm_v(3)%pt_surface, n_out ) 
+                                           surf_usm_v(3)%pt_surface, n_out )
 
             CASE ( 'thetav_surface' )
@@ -3313,5 +3381,5 @@
                                            surf_def_v(3)%vpt_surface,          &
                                            surf_lsm_v(3)%vpt_surface,          &
-                                           surf_usm_v(3)%vpt_surface, n_out ) 
+                                           surf_usm_v(3)%vpt_surface, n_out )
 
             CASE ( 'rad_net' )
@@ -3331,5 +3399,5 @@
                                            surf_def_v(3)%rad_net,              &
                                            surf_lsm_v(3)%rad_net,              &
-                                           surf_usm_v(3)%rad_net, n_out ) 
+                                           surf_usm_v(3)%rad_net, n_out )
 
             CASE ( 'rad_lw_in' )
@@ -3349,5 +3417,5 @@
                                            surf_def_v(3)%rad_lw_in,            &
                                            surf_lsm_v(3)%rad_lw_in,            &
-                                           surf_usm_v(3)%rad_lw_in, n_out ) 
+                                           surf_usm_v(3)%rad_lw_in, n_out )
 
             CASE ( 'rad_lw_out' )
@@ -3367,5 +3435,5 @@
                                            surf_def_v(3)%rad_lw_out,           &
                                            surf_lsm_v(3)%rad_lw_out,           &
-                                           surf_usm_v(3)%rad_lw_out, n_out ) 
+                                           surf_usm_v(3)%rad_lw_out, n_out )
 
             CASE ( 'rad_sw_in' )
@@ -3385,5 +3453,5 @@
                                            surf_def_v(3)%rad_sw_in,            &
                                            surf_lsm_v(3)%rad_sw_in,            &
-                                           surf_usm_v(3)%rad_sw_in, n_out ) 
+                                           surf_usm_v(3)%rad_sw_in, n_out )
 
             CASE ( 'rad_sw_out' )
@@ -3403,5 +3471,5 @@
                                            surf_def_v(3)%rad_sw_out,           &
                                            surf_lsm_v(3)%rad_sw_out,           &
-                                           surf_usm_v(3)%rad_sw_out, n_out ) 
+                                           surf_usm_v(3)%rad_sw_out, n_out )
 
             CASE ( 'ghf' )
@@ -3421,7 +3489,7 @@
                                            surf_def_v(3)%ghf,                  &
                                            surf_lsm_v(3)%ghf,                  &
-                                           surf_usm_v(3)%ghf, n_out )          
-                                                                               
-            CASE ( 'r_a' )                                                     
+                                           surf_usm_v(3)%ghf, n_out )
+
+            CASE ( 'r_a' )
                CALL surface_data_output_sum_up( surf_def_h(0)%r_a,             &
                                            surf_def_h(1)%r_a,                  &
@@ -3439,7 +3507,7 @@
                                            surf_def_v(3)%r_a,                  &
                                            surf_lsm_v(3)%r_a,                  &
-                                           surf_usm_v(3)%r_a, n_out )          
-                                                                               
-            CASE ( 'r_soil' )                                                  
+                                           surf_usm_v(3)%r_a, n_out )
+
+            CASE ( 'r_soil' )
                CALL surface_data_output_sum_up( surf_def_h(0)%r_soil,          &
                                            surf_def_h(1)%r_soil,               &
@@ -3457,5 +3525,5 @@
                                            surf_def_v(3)%r_soil,               &
                                            surf_lsm_v(3)%r_soil,               &
-                                           surf_usm_v(3)%r_soil, n_out ) 
+                                           surf_usm_v(3)%r_soil, n_out )
 
             CASE ( 'r_canopy' )
@@ -3475,5 +3543,5 @@
                                            surf_def_v(3)%r_canopy,             &
                                            surf_lsm_v(3)%r_canopy,             &
-                                           surf_usm_v(3)%r_canopy, n_out ) 
+                                           surf_usm_v(3)%r_canopy, n_out )
 
             CASE ( 'r_s' )
@@ -3493,5 +3561,5 @@
                                            surf_def_v(3)%r_s,                  &
                                            surf_lsm_v(3)%r_s,                  &
-                                           surf_usm_v(3)%r_s, n_out ) 
+                                           surf_usm_v(3)%r_s, n_out )
 
 
@@ -3548,5 +3616,5 @@
                                            surf_lsm_v(3)%rad_sw_ref,           &
                                            surf_usm_v(3)%rad_sw_ref, n_out )
-               
+
             CASE ( 'rad_sw_res' )
                CALL surface_data_output_sum_up( surf_def_h(0)%rad_sw_res,      &
@@ -3620,5 +3688,5 @@
                                            surf_lsm_v(3)%rad_lw_res,           &
                                            surf_usm_v(3)%rad_lw_res, n_out )
-                                           
+
             CASE ( 'uvw1' )
                CALL surface_data_output_sum_up( surf_def_h(0)%uvw_abs,         &
@@ -3637,17 +3705,17 @@
                                            surf_def_v(3)%uvw_abs,              &
                                            surf_lsm_v(3)%uvw_abs,              &
-                                           surf_usm_v(3)%uvw_abs, n_out )                               
+                                           surf_usm_v(3)%uvw_abs, n_out )
 
          END SELECT
       ENDDO
-      
-   
+
+
    END SUBROUTINE surface_data_output_averaging
-   
+
 !------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Sum-up the surface data for average output variables.  
-!------------------------------------------------------------------------------!   
+!> Sum-up the surface data for average output variables.
+!------------------------------------------------------------------------------!
    SUBROUTINE surface_data_output_sum_up( var_def_h0, var_def_h1,              &
                                      var_lsm_h,  var_usm_h,                    &
@@ -3656,5 +3724,5 @@
                                      var_def_v2, var_lsm_v2, var_usm_v2,       &
                                      var_def_v3, var_lsm_v3, var_usm_v3, n_out )
-   
+
       IMPLICIT NONE
 
@@ -3662,5 +3730,5 @@
       INTEGER(iwp) ::  n_out      !< index for output variable
       INTEGER(iwp) ::  n_surf     !< running index for surface elements
-      
+
       REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_def_h0 !< output variable at upward-facing default-type surfaces
       REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_def_h1 !< output variable at downward-facing default-type surfaces
@@ -3679,21 +3747,21 @@
       REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_usm_v2 !< output variable at eastward-facing urban-type surfaces
       REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_usm_v3 !< output variable at westward-facing urban-type surfaces
-     
-!     
-!--   Set counter variable to zero before the variable is written to 
-!--   the output array. 
+
+!
+!--   Set counter variable to zero before the variable is written to
+!--   the output array.
       n_surf = 0
-      
+
 !
 !--   Write the horizontal surfaces.
-!--   Before each the variable is written to the output data structure, first 
-!--   check if the variable for the respective surface type is defined. 
+!--   Before each the variable is written to the output data structure, first
+!--   check if the variable for the respective surface type is defined.
 !--   If a variable is not defined, skip the block and increment the counter
-!--   variable by the number of surface elements of this type. Usually this 
+!--   variable by the number of surface elements of this type. Usually this
 !--   is zere, however, there might be the situation that e.g. urban surfaces
 !--   are defined but the respective variable is not allocated for this surface
-!--   type. To write the data on the exact position, increment the counter. 
+!--   type. To write the data on the exact position, increment the counter.
       IF ( ALLOCATED( var_def_h0 ) )  THEN
-         DO  m = 1, surf_def_h(0)%ns 
+         DO  m = 1, surf_def_h(0)%ns
             n_surf                        = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3701,8 +3769,8 @@
          ENDDO
       ELSE
-         n_surf = n_surf + surf_def_h(0)%ns  
+         n_surf = n_surf + surf_def_h(0)%ns
       ENDIF
       IF ( ALLOCATED( var_def_h1 ) )  THEN
-         DO  m = 1, surf_def_h(1)%ns 
+         DO  m = 1, surf_def_h(1)%ns
             n_surf                   = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3713,5 +3781,5 @@
       ENDIF
       IF ( ALLOCATED( var_lsm_h ) )  THEN
-         DO  m = 1, surf_lsm_h%ns 
+         DO  m = 1, surf_lsm_h%ns
             n_surf                        = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3722,5 +3790,5 @@
       ENDIF
       IF ( ALLOCATED( var_usm_h ) )  THEN
-         DO  m = 1, surf_usm_h%ns 
+         DO  m = 1, surf_usm_h%ns
             n_surf                        = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3733,5 +3801,5 @@
 !--   Write northward-facing
       IF ( ALLOCATED( var_def_v0 ) )  THEN
-         DO  m = 1, surf_def_v(0)%ns 
+         DO  m = 1, surf_def_v(0)%ns
             n_surf                        = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3742,5 +3810,5 @@
       ENDIF
       IF ( ALLOCATED( var_lsm_v0 ) )  THEN
-         DO  m = 1, surf_lsm_v(0)%ns 
+         DO  m = 1, surf_lsm_v(0)%ns
             n_surf                        = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3751,5 +3819,5 @@
       ENDIF
       IF ( ALLOCATED( var_usm_v0 ) )  THEN
-         DO  m = 1, surf_usm_v(0)%ns 
+         DO  m = 1, surf_usm_v(0)%ns
             n_surf                        = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3762,5 +3830,5 @@
 !--   Write southward-facing
       IF ( ALLOCATED( var_def_v1 ) )  THEN
-         DO  m = 1, surf_def_v(1)%ns 
+         DO  m = 1, surf_def_v(1)%ns
             n_surf                        = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3771,5 +3839,5 @@
       ENDIF
       IF ( ALLOCATED( var_lsm_v1 ) )  THEN
-         DO  m = 1, surf_lsm_v(1)%ns 
+         DO  m = 1, surf_lsm_v(1)%ns
             n_surf                        = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3780,5 +3848,5 @@
       ENDIF
       IF ( ALLOCATED( var_usm_v1 ) )  THEN
-         DO  m = 1, surf_usm_v(1)%ns 
+         DO  m = 1, surf_usm_v(1)%ns
             n_surf                        = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3791,5 +3859,5 @@
 !--   Write eastward-facing
       IF ( ALLOCATED( var_def_v2 ) )  THEN
-         DO  m = 1, surf_def_v(2)%ns 
+         DO  m = 1, surf_def_v(2)%ns
             n_surf                        = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3800,5 +3868,5 @@
       ENDIF
       IF ( ALLOCATED( var_lsm_v2 ) )  THEN
-         DO  m = 1, surf_lsm_v(2)%ns 
+         DO  m = 1, surf_lsm_v(2)%ns
             n_surf                        = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3809,5 +3877,5 @@
       ENDIF
       IF ( ALLOCATED( var_usm_v2 ) )  THEN
-         DO  m = 1, surf_usm_v(2)%ns 
+         DO  m = 1, surf_usm_v(2)%ns
             n_surf                        = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3820,5 +3888,5 @@
 !--   Write westward-facing
       IF ( ALLOCATED( var_def_v3 ) )  THEN
-         DO  m = 1, surf_def_v(3)%ns 
+         DO  m = 1, surf_def_v(3)%ns
             n_surf                        = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3829,5 +3897,5 @@
       ENDIF
       IF ( ALLOCATED( var_lsm_v3 ) )  THEN
-         DO  m = 1, surf_lsm_v(3)%ns 
+         DO  m = 1, surf_lsm_v(3)%ns
             n_surf                        = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3838,5 +3906,5 @@
       ENDIF
       IF ( ALLOCATED( var_usm_v3 ) )  THEN
-         DO  m = 1, surf_usm_v(3)%ns 
+         DO  m = 1, surf_usm_v(3)%ns
             n_surf                        = n_surf + 1
             surfaces%var_av(n_surf,n_out) = surfaces%var_av(n_surf,n_out)      &
@@ -3846,7 +3914,7 @@
          n_surf = n_surf + surf_usm_v(3)%ns
       ENDIF
-   
+
    END SUBROUTINE surface_data_output_sum_up
-   
+
 !------------------------------------------------------------------------------!
 ! Description:
@@ -3859,11 +3927,11 @@
                                       var_def_v1, var_lsm_v1, var_usm_v1,      &
                                       var_def_v2, var_lsm_v2, var_usm_v2,      &
-                                      var_def_v3, var_lsm_v3, var_usm_v3 )                                               
-   
+                                      var_def_v3, var_lsm_v3, var_usm_v3 )
+
       IMPLICIT NONE
 
       INTEGER(iwp) ::  m      !< running index for surface elements
       INTEGER(iwp) ::  n_surf !< running index for surface elements
-      
+
       REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_def_h0 !< output variable at upward-facing default-type surfaces
       REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_def_h1 !< output variable at downward-facing default-type surfaces
@@ -3882,29 +3950,29 @@
       REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_usm_v2 !< output variable at eastward-facing urban-type surfaces
       REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(IN) ::  var_usm_v3 !< output variable at westward-facing urban-type surfaces
-     
-!     
-!--   Set counter variable to zero before the variable is written to 
-!--   the output array. 
+
+!
+!--   Set counter variable to zero before the variable is written to
+!--   the output array.
       n_surf = 0
-      
+
 !
 !--   Write the horizontal surfaces.
-!--   Before each the variable is written to the output data structure, first 
-!--   check if the variable for the respective surface type is defined. 
+!--   Before each the variable is written to the output data structure, first
+!--   check if the variable for the respective surface type is defined.
 !--   If a variable is not defined, skip the block and increment the counter
-!--   variable by the number of surface elements of this type. Usually this 
+!--   variable by the number of surface elements of this type. Usually this
 !--   is zere, however, there might be the situation that e.g. urban surfaces
 !--   are defined but the respective variable is not allocated for this surface
-!--   type. To write the data on the exact position, increment the counter. 
+!--   type. To write the data on the exact position, increment the counter.
       IF ( ALLOCATED( var_def_h0 ) )  THEN
-         DO  m = 1, surf_def_h(0)%ns 
+         DO  m = 1, surf_def_h(0)%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_def_h0(m)
          ENDDO
       ELSE
-         n_surf = n_surf + surf_def_h(0)%ns  
+         n_surf = n_surf + surf_def_h(0)%ns
       ENDIF
       IF ( ALLOCATED( var_def_h1 ) )  THEN
-         DO  m = 1, surf_def_h(1)%ns 
+         DO  m = 1, surf_def_h(1)%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_def_h1(m)
@@ -3914,5 +3982,5 @@
       ENDIF
       IF ( ALLOCATED( var_lsm_h ) )  THEN
-         DO  m = 1, surf_lsm_h%ns 
+         DO  m = 1, surf_lsm_h%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_lsm_h(m)
@@ -3922,5 +3990,5 @@
       ENDIF
       IF ( ALLOCATED( var_usm_h ) )  THEN
-         DO  m = 1, surf_usm_h%ns 
+         DO  m = 1, surf_usm_h%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_usm_h(m)
@@ -3932,5 +4000,5 @@
 !--   Write northward-facing
       IF ( ALLOCATED( var_def_v0 ) )  THEN
-         DO  m = 1, surf_def_v(0)%ns 
+         DO  m = 1, surf_def_v(0)%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_def_v0(m)
@@ -3940,5 +4008,5 @@
       ENDIF
       IF ( ALLOCATED( var_lsm_v0 ) )  THEN
-         DO  m = 1, surf_lsm_v(0)%ns 
+         DO  m = 1, surf_lsm_v(0)%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_lsm_v0(m)
@@ -3948,5 +4016,5 @@
       ENDIF
       IF ( ALLOCATED( var_usm_v0 ) )  THEN
-         DO  m = 1, surf_usm_v(0)%ns 
+         DO  m = 1, surf_usm_v(0)%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_usm_v0(m)
@@ -3958,5 +4026,5 @@
 !--   Write southward-facing
       IF ( ALLOCATED( var_def_v1 ) )  THEN
-         DO  m = 1, surf_def_v(1)%ns 
+         DO  m = 1, surf_def_v(1)%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_def_v1(m)
@@ -3966,5 +4034,5 @@
       ENDIF
       IF ( ALLOCATED( var_lsm_v1 ) )  THEN
-         DO  m = 1, surf_lsm_v(1)%ns 
+         DO  m = 1, surf_lsm_v(1)%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_lsm_v1(m)
@@ -3974,5 +4042,5 @@
       ENDIF
       IF ( ALLOCATED( var_usm_v1 ) )  THEN
-         DO  m = 1, surf_usm_v(1)%ns 
+         DO  m = 1, surf_usm_v(1)%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_usm_v1(m)
@@ -3984,5 +4052,5 @@
 !--   Write eastward-facing
       IF ( ALLOCATED( var_def_v2 ) )  THEN
-         DO  m = 1, surf_def_v(2)%ns 
+         DO  m = 1, surf_def_v(2)%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_def_v2(m)
@@ -3992,5 +4060,5 @@
       ENDIF
       IF ( ALLOCATED( var_lsm_v2 ) )  THEN
-         DO  m = 1, surf_lsm_v(2)%ns 
+         DO  m = 1, surf_lsm_v(2)%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_lsm_v2(m)
@@ -4000,5 +4068,5 @@
       ENDIF
       IF ( ALLOCATED( var_usm_v2 ) )  THEN
-         DO  m = 1, surf_usm_v(2)%ns 
+         DO  m = 1, surf_usm_v(2)%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_usm_v2(m)
@@ -4010,5 +4078,5 @@
 !--   Write westward-facing
       IF ( ALLOCATED( var_def_v3 ) )  THEN
-         DO  m = 1, surf_def_v(3)%ns 
+         DO  m = 1, surf_def_v(3)%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_def_v3(m)
@@ -4018,5 +4086,5 @@
       ENDIF
       IF ( ALLOCATED( var_lsm_v3 ) )  THEN
-         DO  m = 1, surf_lsm_v(3)%ns 
+         DO  m = 1, surf_lsm_v(3)%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_lsm_v3(m)
@@ -4026,5 +4094,5 @@
       ENDIF
       IF ( ALLOCATED( var_usm_v3 ) )  THEN
-         DO  m = 1, surf_usm_v(3)%ns 
+         DO  m = 1, surf_usm_v(3)%ns
             n_surf                   = n_surf + 1
             surfaces%var_out(n_surf) = var_usm_v3(m)
@@ -4033,7 +4101,7 @@
          n_surf = n_surf + surf_usm_v(3)%ns
       ENDIF
-   
+
    END SUBROUTINE surface_data_output_collect
-   
+
 !------------------------------------------------------------------------------!
 ! Description:
@@ -4045,6 +4113,6 @@
        IMPLICIT NONE
 
-       CHARACTER (LEN=80) ::  line  !< dummy string that contains the current line of the parameter file 
-       
+       CHARACTER (LEN=80) ::  line  !< dummy string that contains the current line of the parameter file
+
 
        NAMELIST /surface_data_output_parameters/                               &
@@ -4053,7 +4121,7 @@
                                   skip_time_dosurf, skip_time_dosurf_av,       &
                                   to_netcdf, to_vtk
-                                  
+
        line = ' '
-  
+
 !
 !--    Try to find the namelist
@@ -4075,18 +4143,18 @@
  10    BACKSPACE( 11 )
        READ( 11 , '(A)') line
-       CALL parin_fail_message( 'surface_data_output_parameters', line )      
-       
+       CALL parin_fail_message( 'surface_data_output_parameters', line )
+
  14    CONTINUE
-       
+
 
     END SUBROUTINE surface_data_output_parin
-    
-    
+
+
 !------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Check the input parameters for consistency. Further pre-process the given 
+!> Check the input parameters for consistency. Further pre-process the given
 !> output variables, i.e. separate them into average and non-average output
-!> variables and map them onto internal output array. 
+!> variables and map them onto internal output array.
 !------------------------------------------------------------------------------!
     SUBROUTINE surface_data_output_check_parameters
@@ -4095,5 +4163,5 @@
            ONLY:  averaging_interval, dt_data_output, initializing_actions,    &
                   message_string
-                  
+
        USE pegrid,                                                             &
            ONLY:  numprocs_previous_run
@@ -4125,5 +4193,5 @@
                         'PA0536', 1, 2, 0, 6, 0 )
        ENDIF
-       
+
 #if ! defined( __netcdf4_parallel )
 !
@@ -4147,5 +4215,5 @@
       ENDIF
 !
-!--   Count number of output variables and separate output strings for 
+!--   Count number of output variables and separate output strings for
 !--   average and non-average output variables.
       n_out = 0
@@ -4194,5 +4262,5 @@
             CASE ( 'usws', 'vsws' )
                unit = 'm2/s2'
-            
+
             CASE ( 'qcsws', 'ncsws', 'qrsws', 'nrsws', 'sasws' )
 
@@ -4238,6 +4306,6 @@
 
     END SUBROUTINE surface_data_output_check_parameters
-    
-    
+
+
 !------------------------------------------------------------------------------!
 ! Description:
@@ -4246,5 +4314,5 @@
 !------------------------------------------------------------------------------!
     SUBROUTINE surface_data_output_last_action( av )
-  
+
       USE control_parameters,                                                  &
           ONLY:  io_blocks, io_group
@@ -4254,5 +4322,5 @@
 
       IMPLICIT NONE
-      
+
       INTEGER(iwp) ::  av     !< id indicating average or non-average data output
       INTEGER(iwp) ::  i      !< loop index
@@ -4276,9 +4344,9 @@
             CALL MPI_BARRIER( comm2d, ierr )
 #endif
-         ENDDO    
+         ENDDO
       ENDIF
 
-    END SUBROUTINE surface_data_output_last_action    
-    
+    END SUBROUTINE surface_data_output_last_action
+
 !------------------------------------------------------------------------------!
 ! Description:
